## org.eclipse.emf.exporter
Class ModelExporter.GenPackagesTreeIterator

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              org.eclipse.emf.common.util.BasicEList<java.util.Iterator<? extends E>>
                  org.eclipse.emf.common.util.AbstractTreeIterator<GenPackage>
                      org.eclipse.emf.exporter.ModelExporter.GenPackagesTreeIterator

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<java.util.Iterator<? extends GenPackage>>, java.util.Collection<java.util.Iterator<? extends GenPackage>>, java.util.Iterator<GenPackage>, java.util.List<java.util.Iterator<? extends GenPackage>>, java.util.RandomAccess, EList<java.util.Iterator<? extends GenPackage>>, TreeIterator<GenPackage>

Enclosing class:
  ModelExporter

    protected static class ModelExporter.GenPackagesTreeIterator

extends AbstractTreeIterator<GenPackage>

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.util.BasicEList
`BasicEList.BasicIndexOutOfBoundsException, BasicEList.EIterator<E1>, BasicEList.EListIterator<E1>, BasicEList.FastCompare<E>, BasicEList.NonResolvingEIterator<E1>, BasicEList.NonResolvingEListIterator<E1>, BasicEList.UnmodifiableEList<E>`

Field Summary

Fields inherited from class org.eclipse.emf.common.util.AbstractTreeIterator
`includeRoot, nextPruneIterator, nextRemoveIterator, object`

Fields inherited from class org.eclipse.emf.common.util.BasicEList
`data, size`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`ModelExporter.GenPackagesTreeIterator(java.util.Collection<GenPackage> genPackages)`
`ModelExporter.GenPackagesTreeIterator(GenModel genModel)`

Method Summary
`protected java.util.Iterator<GenPackage>` `getChildren(java.lang.Object object)` Returns the iterator that yields the children of the object.

Methods inherited from class org.eclipse.emf.common.util.AbstractTreeIterator
`hasNext, next, prune, remove`

Methods inherited from class org.eclipse.emf.common.util.BasicEList

`add, add, addAll, addAll, addAllUnique, addAllUnique, addAllUnique, addAllUnique, addUnique, addUnique, assign, basicGet, basicIterator, basicList, basicListIterator, basicListIterator, canContainNull, clear, clone, contains, containsAll, data, didAdd, didChange, didClear, didMove, didRemove, didSet, equalObjects, equals, get, getDuplicates, getNonDuplicates, grow, hashCode, indexOf, isEmpty, isUnique, iterator, lastIndexOf, listIterator, listIterator, move, move, newData, remove, remove, removeAll, resolve, retainAll, set, setData, setUnique, shrink, size, toArray, toArray, toString, useEquals, validate`

Methods inherited from class java.util.AbstractList
`removeRange, subList`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`subList`

Constructor Detail

### ModelExporter.GenPackagesTreeIterator

    public ModelExporter.GenPackagesTreeIterator(GenModel genModel)

### ModelExporter.GenPackagesTreeIterator

    public ModelExporter.GenPackagesTreeIterator(java.util.Collection<GenPackage> genPackages)

Method Detail

### getChildren

    protected java.util.Iterator<GenPackage> getChildren(java.lang.Object object)

  Description copied from class: `AbstractTreeIterator`
  Returns the iterator that yields the children of the object.

  Specified by:
    `getChildren` in class `AbstractTreeIterator<GenPackage>`
  Parameters:
    `object` - the object for which children are required.
  Returns:
    the iterator that yields the children.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.